Bug 11753 - Replace jQuery qTip plugin with Bootstrap tooltip on patron search form
Summary: Replace jQuery qTip plugin with Bootstrap tooltip on patron search form
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/members/members-home.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-12 17:19 UTC by Owen Leonard
Modified: 2015-06-04 23:30 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11753 - Replace jQuery qTip plugin with Bootstrap tooltip on patron search form (3.71 KB, patch)
2014-02-12 17:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 11753 - Replace jQuery qTip plugin with Bootstrap tooltip on patron search form (4.82 KB, patch)
2014-02-12 17:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 11753 - Replace jQuery qTip plugin with Bootstrap tooltip on patron search form (4.49 KB, patch)
2014-02-16 05:13 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 11753 - Replace jQuery qTip plugin with Bootstrap tooltip on patron search form (4.55 KB, patch)
2014-02-17 09:07 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2014-02-12 17:19:14 UTC
The patron advanced search form uses the jQuery qTip plugin which is out of date and blocks an upgrade of jQuery. The Bootstrap tooltip implementation should be used instead.
Comment 1 Owen Leonard 2014-02-12 17:24:48 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2014-02-12 17:28:04 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2014-02-16 05:13:33 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2014-02-17 09:07:31 UTC
Created attachment 25339 [details] [review]
Bug 11753 - Replace jQuery qTip plugin with Bootstrap tooltip on patron search form

The qTip plugin is out of date and incompatible with recent versions of
jQuery. This patch replaces use of qTip on the patron search form with a
Bootstrap tooltip implementation.

To test, apply the patch and view /cgi-bin/koha/members/members-home.pl

- Expand the patron search form by clicking the [+]
- Change 'search fields' from 'Standard' to 'Date of birth'
- A tooltip should appear giving details about the date format required
- Change the 'search fields' to something else. The tooltip should not
  appear.

Revision: Removed inclusion of qTip plugin from global header include.
The other instance of qTip usage occurs on a page which loads the plugin
separately.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Galen Charlton 2014-02-18 21:09:53 UTC
Pushed to master.  Thanks, Owen!
Comment 6 Fridolin Somers 2014-06-03 12:42:11 UTC
Pushed to 3.14.x, will be in 3.14.08